Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000857Frama-CKernelpublic2011-06-07 13:062014-02-12 16:59
Reporterpatrick 
Assigned Topatrick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000857: Ocaml 32 bits version 3.11.0
DescriptionProblem with C enum value with the most significant bit set:
enum { KO=0x99996666u } v ;

This occurs on 32 bits platform and Ocaml 3.11.0
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004775)
patrick (developer)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-06-07 13:06 patrick New Issue
2011-06-07 13:12 svn Checkin
2011-06-07 13:12 svn Status new => resolved
2011-06-07 13:12 svn Resolution open => fixed
2011-06-08 13:34 monate Status resolved => assigned
2011-06-08 13:34 monate Assigned To => patrick
2011-06-08 13:36 monate Status assigned => resolved
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 patrick Note Added: 0004775
2014-02-12 16:59 patrick Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker